{{- $secret := lookup "v1" "Secret" .Release.Namespace "supabase-smtp" }}
apiVersion: v1
kind: Secret
metadata:
  name: supabase-smtp
  labels:
    app.kubernetes.io/name: {{ template "supabase.name" . }}
    helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
type: Opaque
{{- if (and .Values.config.smtp.enabled (not .Values.config.smtp.integration)) }}
data:
{{- if (and $secret $secret.data) }}
{{- if $secret.data.keyId }}
  keyId: {{ $secret.data.keyId }}
{{- else }}
  keyId: {{ .Values.config.smtp.accessKey | default (randAlphaNum 24) | b64enc | quote }}
{{- end }}
{{- if $secret.data.secretKey }}
  secretKey: {{ $secret.data.secretKey }}
{{- else }}
  secretKey: {{ .Values.config.smtp.secretKey | default (randAlphaNum 24) | b64enc | quote }}
{{- end }}
{{- else }}
  keyId: {{ .Values.config.smtp.accessKey | default (randAlphaNum 24) | b64enc | quote }}
  secretKey: {{ .Values.config.smtp.secretKey | default (randAlphaNum 24) | b64enc | quote }}
{{- end }}
{{- else }}
data: {}
{{- end }}
